aboutsummaryrefslogtreecommitdiff
path: root/sh/shrc.d/pmd.sh
diff options
context:
space:
mode:
Diffstat (limited to 'sh/shrc.d/pmd.sh')
-rw-r--r--sh/shrc.d/pmd.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/sh/shrc.d/pmd.sh b/sh/shrc.d/pmd.sh
new file mode 100644
index 00000000..03f18b7b
--- /dev/null
+++ b/sh/shrc.d/pmd.sh
@@ -0,0 +1,8 @@
+# Print the marked directory
+pmd() {
+ if ! [ -n "$PMD" ] ; then
+ printf >&2 'pmd(): Mark not set\n'
+ return 2
+ fi
+ printf '%s\n' "$PMD"
+}